Package it.ernytech.tdlib

## Class TdApi.SendCustomRequest

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SendCustomRequest

Enclosing class:
  TdApi

    public static class TdApi.SendCustomRequest
    extends TdApi.Function

Sends a custom request; for bots only.

Returns `CustomRequestResult`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `method` The method name.
`java.lang.String` `parameters` JSON-serialized method parameters.

### Constructor Summary

Constructors
`SendCustomRequest()` Default constructor.
`SendCustomRequest​(java.lang.String method, java.lang.String parameters)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### method

    public java.lang.String method

The method name.

#### parameters

    public java.lang.String parameters

JSON-serialized method parameters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SendCustomRequest

    public SendCustomRequest()

Default constructor.

#### SendCustomRequest

    public SendCustomRequest​(java.lang.String method,
                             java.lang.String parameters)

Constructor for initialization of all fields.

Parameters:
  `method` - The method name.
  `parameters` - JSON-serialized method parameters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR